<template>
  <div style="width: 100%;text-align: center;margin-top: 30vh">
    <a-space>
      <a-spin size="large" />
    </a-space>
    <div style="margin: 10vh;font-size: 20px">
      切换站点中...
    </div>
  </div>
</template>
<script setup lang="ts">
import { ref,watch} from 'vue'
import { useRoute } from 'vue-router'
import {onMounted} from "vue";
import {router} from "/@/router";
const route = useRoute();
const objectSite = ref(route.params.site)
const html = ref()
const retMsg = ref()
const url = ref()
const value1 = ref<string>('page');
let str = objectSite.value+"";
let link =  ref();
let errorMsg =  ref([]);
let id = JSON.parse(str)
onMounted(()=>{
  let url = ""
  for (let i = 0; i < id.length; i++) {
    if(id[i] != "" && id[i] != null){
      url+= "/"+id[i];
    }
  }
  if(url != "" && url != null){
    setTimeout(function () {
      router.push({ path: url });
    }, 1000)
  }
})
</script>
<style scoped>
</style>
